%
% Copyright (C) 2003,2004 Christopher J. Stawarz <cstawarz@cfa.harvard.edu>
%
% This file is part of SLglade.
%
% SLglade is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 2 of the License, or
% (at your option) any later version.
%
% SLglade is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with SLglade; if not, write to the Free Software
% Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
%


%
% This is a very minimal package, but it does allow you to require("glade")
%

#ifnexists glade_xml_new
import("glade");
#endif

#ifnexists _get_glade_module_doc_string

% Pretty much just ripping off functions from SLgtk right here.
% Thanks, Mike!

static define get_glade_module_doc_path() {
   variable docpath = getenv("SLGLADE_DOC_DIR");
   if (docpath == NULL)
      docpath = _glade_module_doc_dir;

   return (docpath + "/slgladefun.txt");
}

public define _get_glade_module_doc_string() {
   if (_NARGS != 1)
      usage(sprintf("%s (String_Type topic)", _function_name()));

   variable topic = (); 
   variable docpath = get_glade_module_doc_path();
   variable content = get_doc_string_from_file(docpath,topic);

   if (content == NULL)
      content = sprintf("Error: could not retrieve help for <%S>:\n" +
			"Searched in: <%s>",topic,docpath);
   return content;
}

#ifexists add_help_file
add_help_file(get_glade_module_doc_path());
#endif

#ifexists provide
provide("glade");
#endif

#endif

